Bug 176475 - Kmail/kontact crashes when emptying Trash folder on IMAP account
Kmail/kontact crashes when emptying Trash folder on IMAP account
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-12-23 01:35 EST by Dennis Wagelaar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-03 09:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Wagelaar 2005-12-23 01:35:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nl-NL; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Kontact/kmail crashes consistently whenever I try to empty the Trash folder of an IMAP account. Below is the stack trace provided by Kontact:

Using host libthread_db library "/lib/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1208654144 (LWP 4179)]
[New Thread -1244767312 (LWP 4183)]
[New Thread -1234277456 (LWP 4182)]
[New Thread -1223787600 (LWP 4181)]
[New Thread -1213297744 (LWP 4180)]
[KCrash handler]
#4  KMMessage::transferInProgress (this=0x0) at kmmessage.cpp:237
#5  0x0171b2c1 in KMMoveCommand::execute (this=0x9c73158)
    at kmcommands.cpp:1902
#6  0x0170df82 in KMCommand::slotPostTransfer (this=0x9c73158, 
    result=KMCommand::OK) at kmcommands.cpp:254
#7  0x017142c9 in KMCommand::qt_invoke (this=0x9c73158, _id=5, _o=0xbfb7ab04)
    at kmcommands.moc:148
#8  0x01714539 in KMMenuCommand::qt_invoke (this=0x9c73158, _id=5, 
    _o=0xbfb7ab04) at kmcommands.moc:2436
#9  0x017145ae in KMMoveCommand::qt_invoke (this=0x9c73158, _id=5, 
    _o=0xbfb7ab04) at kmcommands.moc:2619
#10 0x0679feb4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x0170cf58 in KMCommand::messagesTransfered (this=0x9c73158, 
    t0=KMCommand::OK) at kmcommands.moc:126
#12 0x01713ef3 in KMCommand::transferSelectedMsgs (this=0x9c73158)
    at kmcommands.cpp:349
#13 0x017140d4 in KMCommand::slotStart (this=0x9c73158) at kmcommands.cpp:246
#14 0x017142db in KMCommand::qt_invoke (this=0x9c73158, _id=4, _o=0xbfb7acc4)
    at kmcommands.moc:147
#15 0x01714539 in KMMenuCommand::qt_invoke (this=0x9c73158, _id=4, 
    _o=0xbfb7acc4) at kmcommands.moc:2436
#16 0x017145ae in KMMoveCommand::qt_invoke (this=0x9c73158, _id=4, 
    _o=0xbfb7acc4) at kmcommands.moc:2619
#17 0x0679feb4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0x06b182e6 in QSignal::signal () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x067bd693 in QSignal::activate () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0x067c5f75 in QSingleShotTimer::event ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x0673b0dd in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x0673ba5c in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x050ee841 in KApplication::notify () from /usr/lib/libkdecore.so.4
#24 0x0672f972 in QEventLoop::activateTimers ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x066e535a in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x0675382b in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0x0673aacf in QApplication::enter_loop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#28 0x068bafe7 in QPopupMenu::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x01560bcb in KMFolderTree::slotContextMenuRequested (this=0x9a2bce8, 
    lvi=0x9a62498, p=@0xbfb7b4a8) at kmfoldertree.cpp:1074
#30 0x01561d86 in KMFolderTree::qt_invoke (this=0x9a2bce8, _id=136, 
    _o=0xbfb7b3cc) at kmfoldertree.moc:490
#31 0x0679feb4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#32 0x06b2c9f3 in QListView::contextMenuRequested ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#33 0x06894c00 in QListView::contentsContextMenuEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#34 0x068c5a0f in QScrollView::viewportContextMenuEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#35 0x068c4c42 in QScrollView::eventFilter ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#36 0x0688f317 in QListView::eventFilter ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#37 0x0155927b in KMFolderTree::eventFilter (this=0x9a2bce8, o=0x9a2c558, 
    e=0xbfb7b984) at kmfoldertree.cpp:1646
#38 0x0679f93c in QObject::activate_filters ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#39 0x0679f9b1 in QObject::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#40 0x067dde0c in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#41 0x0673b0dd in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#42 0x0673bbf5 in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#43 0x050ee841 in KApplication::notify () from /usr/lib/libkdecore.so.4
#44 0x066d2d71 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#45 0x066d0f01 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#46 0x066e5008 in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#47 0x06753812 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#48 0x06753736 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#49 0x0673aaa9 in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#50 0x08058e3b in main (argc=1, argv=0xbfb7c004) at main.cpp:177
#51 0x04737d5f in __libc_start_main () from /lib/libc.so.6
#52 0x080587f1 in _start ()

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to the Trash folder from an IMAP account
2. Right-click and select "Empty trash" from the context menu

Actual Results:  Kontact/kmail crashed (after all the e-mails in Trash shortly appeared crossed out). On restarting Kontact, all e-mails are still present.

Expected Results:  The Trash folder should have been emptied.

Additional info:

I've recompiled kdepim myself, since I need gpgsm support through gpgme. I've used gcc-4.0.2-8.fc4 to compile kdepim.
Comment 1 Dennis Wagelaar 2005-12-23 01:38:20 EST
UPDATE: It does *not* happen every time. It turn's out it only happened when a
particular e-mail was selected in my Trash folder. This was an e-mail that
contained an "accept" notification to a meeting request (those automatically get
moved to Trash).
Comment 2 Ngo Than 2006-05-03 09:46:13 EDT
could you please try new kde-3.5.2 in FC4 update? Please reopen it again if it
still appears. thanks for your report.
Comment 3 Dennis Wagelaar 2006-05-09 06:16:35 EDT
Problem is fixed in kdepim-3.5.2-0.1.fc5 (I no longer run FC4).

Note You need to log in before you can comment on or make changes to this bug.